[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.ExtendedSelect

True when a contiguous range of items can be selected using Shift+Click. The default value is True.

## Declaration

Source position: stdctrls.pp line 642

`public property TCustomListBox.ExtendedSelect : Boolean read FExtendedSelect write SetExtendedSelect default True;`

## Description

Normally a click into the list selects one item, and deselects all other items.

When MultiSelect is True, the user can select/deselect further items with Ctrl+Click.

When ExtendedSelect is also True, the user can Shift-click on an item, to select all items between this and the last selected item.